<template>
  <div class="contact container">
    <div class="texto-seccion">
      <h2 class="titulo my-5">¡Contacta conmigo!</h2>
      <p class="subtit">Si tienes algo que decir sobre este tema, sobre tu caso en particular, información relevante que crees que debería publicar en este blog... ¡lo que sea! Cuentamelo en un email 🙂 Toda información es poca sobre algo tan importante como es la salud y nuestra calidad de vida.</p>
    </div>
    <div v-if="isSend" class="alert alert-success" role="alert">
      ¡Email enviado! En breves me pondré en contacto contigo 😉
    </div>
    <form @submit.prevent="sendEmail" class="formulario my-4">
      <div class="row">
        <div class="col pr-4 pl-0 paddingzero">
          <input v-model="name" name="name" v-validate="'required'" :class="{'input': true, 'is-danger': errors.has('name') }" class="form-control" type="text" placeholder="Nombre" :disabled="isSend">
          <p v-show="errors.has('name')" class="help text-danger is-danger">
            Este campo no puede estar vacío
          </p>
        </div>
        <div class="col pr-0 pl-4 paddingzero">
         <input v-model="email" v-validate="'required|email'" :class="{'input': true, 'is-danger': errors.has('email') }" name="email" type="text" placeholder="Escribe tu correo electrónico..." class="form-control" :disabled="isSend">
          <p v-show="errors.has('email')" class="help text-danger is-danger">
            No es un formato válido
          </p>
        </div>
        <textarea v-model="message" name="message" v-validate="'required'" :class="{'input': true, 'is-danger': errors.has('message') }" class="form-control mt-4" placeholder="Tu mensaje..." :disabled="isSend"></textarea>
        <p v-show="errors.has('message')" class="help text-danger is-danger">
            Este campo no puede estar vacío
        </p>
      </div>
      <div class="form-check text-center pt-5">
        <input type="checkbox" class="form-check-input" id="exampleCheck1">
        <label class="form-check-label priv" for="exampleCheck1">He leído y acepto la política de privacidad</label>
      </div>
      <button class="btn d-block my-5 mx-auto" type="submit">
        <span>Enviar</span>
        <span v-if="isLoading">
        <i class="fas fa-spinner fa-spin fa-2x text-white"></i>
        </span>
      </button>
    </form>
  </div>
</template>

<script>
export default {
  name: 'Contact',
  data () {
    return {
      name: '',
      email: '',
      message: '',
      isSend: false,
      isLoading: false
    }
  },
  methods: {
    sendEmail: function () {
      // Validamos el correo
      if (this.errors.items.length === 0 && this.name !== '') {
        this.isLoading = true
        this.$http.post(`${process.env.URL_API}/api/v1/contact`, {
          name: this.name,
          email: this.email,
          message: this.message
        }).then(response => {
          this.isLoading = false
          this.isSend = true
        }, response => {
          // error callback
        })
      }
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
</style>
